
AC_DEFUN([OSIRIS_DATABASE_MODULE],[
        AC_ARG_ENABLE(module,[  --enable-module=gdbm|mysql      use MySQL or gdbm to store databases.])
        AC_MSG_CHECKING([database module to use])
        AC_CACHE_VAL(db_module,[

                if test x"${enable_module}" != x ; then

                    if test "gdbm" = ${enable_module}; then
                        db_module="${enable_module}"

                    elif test "mysql" = ${enable_module}; then

                        db_module="${enable_module}"

                    else
                        AC_MSG_ERROR([unrecognized database module ${enable_module}, valid modules include gdbm or mysql.])

                    fi

                else
                    db_module="gdbm"
                fi

        ])
	
    	AC_MSG_RESULT([${db_module}])
])


AC_DEFUN([OSIRIS_DBMODULE_INCLUDES],[
        AC_ARG_WITH(module-includes,[  --with-module-includes=DIR      path to database module include directory ])
        AC_MSG_CHECKING([for database module include files])
        AC_CACHE_VAL( dbmodule_includes,[

                dbmodule_includes="/usr/local/include/mysql"

                if test x"${with_module_includes}" != x ; then
                    dbmodule_includes="${with_module_includes}"
                else
                    if test "gdbm" = ${db_module} ; then
                        dbmodule_includes="../gdbm-1.8.0"
                    else
                        dbmodule_includes="/usr/local/include/mysql"
                    fi
                fi
        ])

        AC_MSG_RESULT([${dbmodule_includes}])
])

AC_DEFUN([OSIRIS_DBMODULE_LIB],[
        AC_ARG_WITH(module-lib,[  --with-module-lib=DIR      path to database module lib directory ])
        AC_MSG_CHECKING([for database module libraries])
        AC_CACHE_VAL( dbmodule_lib,[

                if test x"${with_module_lib}" != x ; then
                    dbmodule_lib="${with_module_lib}"
                else
                    if test "gdbm" = ${db_module} ; then
                        dbmodule_lib="gdbm-1.8.0/.libs"
                        use_local_gdbm="yes"
                    else
                        dbmodule_lib="/usr/local/lib/mysql"
                    fi
                fi
        ])

        AC_MSG_RESULT([${dbmodule_lib}])
])
