#!/bin/sh

# SIMPLE SCRIPT TO RUN OSIRIS AND SCALE, AND
# MAIL RESULTS IF ANY FILES DIFFER.

DATE=`date "+%Y-%m-%d"`

CONTACT="email@domain.com"
REPORT="/usr/local/osiris/${DATE}"

# run osiris

/usr/local/bin/osiris -f /usr/local/osiris/osiris-scan.conf
/usr/local/bin/scale -f -q -l /usr/local/osiris/base.osi -r /usr/local/osiris/scan.osi -o ${REPORT}

# if we have file differences, mail the report.

CHANGES=`cat ${REPORT} | grep "records that differ" | awk '{ print $4 }'`

if [ $CHANGES -ne 0 ]; then
    mail -s "osiris report ${DATE}" ${CONTACT} < ${REPORT}
fi

