
/******************************************************************************
**
**  Copyright (C) 2001  - the shmoo group -
**
**  This program is free software; you can redistribute it and/or
**  modify it, however, you cannot sell it.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
**
**  You should have received a copy of the license attached to the
**  use of this software.  If not, visit www.shmoo.com/osiris for
**  details.
**
******************************************************************************/

/******************************************************************************
**
**    The Shmoo Group (TSG)
**
**    File:      crypto_utilities.h
**    Author:    Brian Wotring
**
**    Date:      June 22, 2001.
**    Project:   osiris
**
*****************************************************************************/

#ifndef CRYPTO_UTILITIES_H
#define CRYPTO_UTILITIES_H


#define BUFFER_SIZE (1024*16)   /* for md5 and sha buffers. */
#define FPTLEN 256              /* for haval fingerprint.   */
#define RMDsize 160             /* for ripemd-160           */

#include "utilities.h"

#include "md5.h"
#include "sha.h"
#include "haval.h"
#include "rmd160.h"

#include <sys/types.h>
#include <unistd.h>

/* methods used to do checksums of file contents. */

char * hash_file_haval( const char *file_path, char *buffer, int buffer_size );
char * hash_file_md5( const char *file_path, char *buffer, int buffer_size );
char * hash_file_sha( const char *file_path, char *buffer, int buffer_size );
char * hash_file_ripemd( const char *file_path, char *buffer, int buffer_size );

#endif

