
/******************************************************************************
**
**  Copyright (C) 2001  - the shmoo group -
**
**  This program is free software; you can redistribute it and/or
**  modify it, however, you cannot sell it.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
**
**  You should have received a copy of the license attached to the
**  use of this software.  If not, visit www.shmoo.com/osiris for
**  details.
**
******************************************************************************/

/******************************************************************************
**
**    The Shmoo Group (TSG)
**
**    File:      debug.h
**    Author:    Brian Wotring
**
**    Date:      June 22, 2001.
**    Project:   osiris
**
******************************************************************************/

#ifndef DEBUG_H
#define DEBUG_H

#include <stdlib.h>
#include <stdarg.h>
#include <stdio.h>

#include "config.h"

/* line and position for debug statements. */

#define __POS__ __FILE__,__LINE__

/* categories. */

#define DEBUG_NONE      0x0
#define DEBUG_OSIRIS    0x1
#define DEBUG_SCALE     0x2
#define DEBUG_CONFIG    0x4
#define DEBUG_DATABASE  0x8
#define DEBUG_ALL ( DEBUG_OSIRIS | DEBUG_SCALE | DEBUG_CONFIG | DEBUG_DATABASE )

/* debug macro. */

#ifdef DEBUG
extern unsigned int debug_categories;
#endif

static INLINE void OSI_DEBUG( const char *file, const int line,
                              int category, char *message, ... )
{

#ifdef DEBUG
   va_list params;

    if( category & debug_categories )
    {
        fprintf( stderr, "osiris[%s:%d]:", file, line );

        va_start( params, message );
        vfprintf( stderr, message, params );
        va_end( params );

        fprintf( stderr, "\n" );
    }

#endif

}



#endif
