
/******************************************************************************
**
**  Copyright (C) 2001  - the shmoo group -
**
**  This program is free software; you can redistribute it and/or
**  modify it, however, you cannot sell it.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
**
**  You should have received a copy of the license attached to the
**  use of this software.  If not, visit www.shmoo.com/osiris for
**  details.
**
******************************************************************************/

/******************************************************************************
**
**    The Shmoo Group (TSG)
**
**    File:      record.h
**    Author:    Brian Wotring
**
**    Date:      June 22, 2001.
**    Project:   osiris
**
******************************************************************************/

#ifndef RECORD_H
#define RECORD_H

#include "utilities.h"

/* osiris fixed stat structure. */

typedef struct osi_stat
{
    osi_uint64 device;
    osi_uint64 inode;
    osi_uint64 permissions;
    osi_uint64 links;
    osi_uint64 uid;
    osi_uint64 gid;
    osi_uint64 mtime;
    osi_uint64 atime;
    osi_uint64 ctime;
    osi_uint64 device_type;
    osi_uint64 bytes;
    osi_uint64 blocks;
    osi_uint64 block_size;
    osi_uint64 flags;

} osi_stat;

/* osisis record structure. */

typedef struct record
{
    char file_path[MAX_PATH_LEN];

    char hash[65];
    char hash_algorithm[10];

    char filter_description[MAX_PATH_LEN];
    char block_name[MAX_PATH_LEN];

    /* bit field attributes list and code       */
    /* associated with reason for being logged. */

    osi_uint32 reason;
    osi_uint32 attributes;

    /* structure containing stat information. */

    struct osi_stat stats;

} record;

void wrap_record( record *r );
void unwrap_record( record *r );

#endif

